package com.djhk.uav.uav.domain;

;
import com.djhk.common.annotation.Excel;
import com.djhk.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 模型对象 threed_model_info
 * 
 * @author ruoyi
 * @date 2023-07-27
 */
public class ThreedModelInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long modelId;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String modelName;

    /** 文件表主键 */
    @Excel(name = "文件表主键")
    private Long modelFile;

    /** 1待上传，2待部署，3已部署，0部署中*/
    @Excel(name = "1待上传，2待部署，3已部署，0部署中")
    private String dealSts;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Date begTime;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Date endTime;

    /** 模型海高 */
    @Excel(name = "模型海高")
    private Long modelAlt;

    /** 模型类型 */
    @Excel(name = "模型类型")
    private String modelType;

    /** 模型状态 1启用，0禁用 */
    @Excel(name = "模型状态 1启用，0禁用")
    private String modelSts;

    /** 模型部署路径 */
    @Excel(name = "模型部署路径")
    private String path;

    /** 模型锁定状态 1锁定，0未锁定 */
    @Excel(name = "模型锁定状态 1锁定，0未锁定")
    private String modelLock;

     private Long deptId;

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public void setModelId(Long modelId)
    {
        this.modelId = modelId;
    }

    public Long getModelId() 
    {
        return modelId;
    }
    public void setModelName(String modelName) 
    {
        this.modelName = modelName;
    }

    public String getModelName() 
    {
        return modelName;
    }
    public void setModelFile(Long modelFile) 
    {
        this.modelFile = modelFile;
    }

    public Long getModelFile() 
    {
        return modelFile;
    }
    public void setDealSts(String dealSts) 
    {
        this.dealSts = dealSts;
    }

    public String getDealSts() 
    {
        return dealSts;
    }
    public void setBegTime(Date begTime) 
    {
        this.begTime = begTime;
    }

    public Date getBegTime() 
    {
        return begTime;
    }
    public void setEndTime(Date endTime) 
    {
        this.endTime = endTime;
    }

    public Date getEndTime() 
    {
        return endTime;
    }
    public void setModelAlt(Long modelAlt) 
    {
        this.modelAlt = modelAlt;
    }

    public Long getModelAlt() 
    {
        return modelAlt;
    }
    public void setModelType(String modelType) 
    {
        this.modelType = modelType;
    }

    public String getModelType() 
    {
        return modelType;
    }
    public void setModelSts(String modelSts) 
    {
        this.modelSts = modelSts;
    }

    public String getModelSts() 
    {
        return modelSts;
    }
    public void setPath(String path) 
    {
        this.path = path;
    }

    public String getPath() 
    {
        return path;
    }
    public void setModelLock(String modelLock) 
    {
        this.modelLock = modelLock;
    }

    public String getModelLock() 
    {
        return modelLock;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("modelId", getModelId())
            .append("modelName", getModelName())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("modelFile", getModelFile())
            .append("dealSts", getDealSts())
            .append("begTime", getBegTime())
            .append("endTime", getEndTime())
            .append("modelAlt", getModelAlt())
            .append("modelType", getModelType())
            .append("modelSts", getModelSts())
            .append("path", getPath())
            .append("modelLock", getModelLock())
            .append("deptId", getDeptId())
            .toString();
    }
}
